你的位置:首页 > 操作系统

[操作系统]我的android学习经历23


学习fragment时遇到的问题

这几天学习fragment静态加载时遇到这样的问题:

java.lang.RuntimeException: Unable to start activity ComponentInfo{。。。。。。。。。。}: android.view.InflateException: Binary

这个是版本兼容的问题,fragment是android3.0以后加的,所以需要最小的api为11

解决方案:

1.把虚拟机设置成android3.0以后的,把应用的api版本改为11及以上,然后重新运行(这时的包是android.app.Fragment,继承的Fragment)

2.为了版本低的android也提供了另外一个包(这时要导入的包android.support.v4.app.Fragment ,继承的是FragmentActivity